Commit 42a7e545 authored by David Brown's avatar David Brown Committed by Andrzej Puzdrowski
Browse files

sim: Migrate to Rust 2021 edition



Change the edition in the various Cargo.toml to 2021.  There are no
changes to the code needed for this.  This will require Rust 1.56 in
order to build.

Signed-off-by: default avatarDavid Brown <david.brown@linaro.org>
parent a7d34caa
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
name = "bootsim" name = "bootsim"
version = "0.1.0" version = "0.1.0"
authors = ["David Brown <davidb@davidb.org>"] authors = ["David Brown <davidb@davidb.org>"]
edition = "2018" edition = "2021"
[features] [features]
default = [] default = []
......
...@@ -5,7 +5,7 @@ authors = ["David Brown <david.brown@linaro.org>"] ...@@ -5,7 +5,7 @@ authors = ["David Brown <david.brown@linaro.org>"]
description = "A simple wrapper around the mcuboot code." description = "A simple wrapper around the mcuboot code."
build = "build.rs" build = "build.rs"
publish = false publish = false
edition = "2018" edition = "2021"
[features] [features]
# By default, build with simplistic signature verification. # By default, build with simplistic signature verification.
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
name = "simflash" name = "simflash"
version = "0.1.0" version = "0.1.0"
authors = ["David Brown <david.brown@linaro.org>"] authors = ["David Brown <david.brown@linaro.org>"]
edition = "2018" edition = "2021"
[dependencies] [dependencies]
rand = "0.7" rand = "0.7"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment